Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class ValueBuilder

    java.lang.Object
      org.basex.core.Progress
          org.basex.index.IndexBuilder
              org.basex.index.ValueBuilder

    public final class ValueBuilder

extends IndexBuilder

This main-memory based class builds an index for attribute values and text contents in a tree structure and stores the result to disk.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`ValueBuilder(Data d, boolean txt)` Constructor.

Method Summary
`Values` | `build()` Builds the index structure and returns an index instance.
`java.lang.String` | `det()` Returns short information on this process.

Methods inherited from class org.basex.index.IndexBuilder
`checkStop, prog, tit`

Methods inherited from class org.basex.core.Progress
`detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueBuilder

    public ValueBuilder(Data d,
                        boolean txt)

  Constructor.

  Parameters:
    `d` - data reference
    `txt` - value type (text/attribute)

Method Detail

### build

    public Values build()
                 throws java.io.IOException

  Description copied from class: `IndexBuilder`
  Builds the index structure and returns an index instance.

  Specified by:
    `build` in class `IndexBuilder`
  Returns:
    index instance
  Throws:
    `java.io.IOException` - IO Exception

### det

    public java.lang.String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD